Subject: Re: gcc produces foo.exe, not foo
From: [email-masked] (Ben Elliston)

25 Sep 1998 03:37:52 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Mumit Khan <[email-masked]>
Cc: Arne Glenstrup <[email-masked]>, [email-masked]

> As for the rationale for adding the automatic .exe, I'm somewhat in
> favor of, if not thrilled by, such "native compliance"; for mingw32, it
> makes perfect sense (must have .exe to jive with native system and also
> be executable by native shell); for cygwin32, bash can run programs
> with or without .exe, but have trouble when running with native shell.

Since MS seem to be trying to hide file extensions in their user
interfaces these days, I wonder how long it will be before they drop
the filename extensions on executables all-together and start using some
attributes in the file system?

Ben

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".